SDL_RenderReadPixels(3)

NAME
SDL_RenderReadPixels - Read pixels from the current rendering target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface * SDL_RenderReadPixels(SDL_Renderer *renderer, const SDL_Rect *rect);

DESCRIPTION
The returned surface contains pixels inside the desired area clipped to the current viewport, and should be freed with

SDL_DestroySurface ().

Note that this returns the actual pixels on the screen, so if you are using logical presentation you should use

SDL_GetRenderLogicalPresentationRect () to get the area containing your content. WARNING : This is a very slow operation, and should not be used frequently. If you're using this on the main rendering target, it should be called after rendering and before SDL_RenderPresent ().

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    an SDL_Rect
     structure representing the area to read, which will be clipped to the current viewport, or NULL for the entire viewport.

RETURN VALUE
( SDL_Surface
 *) Returns a new SDL_Surface
 on success or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.